dev-hsimyu

おれが作ったものとかについて紹介したりするブログ

cygwinでRailsを入れようとしたら時間がかかった。

cygwin上でRailsを入れようとして

rubygems install rails --include-dependencies
mkdir foo
cd foo
rails new foo --skip-bundle
までは上手く言った。
cygwin上ではcoffeescriptが上手く動かない(参考:Ruby on Rails 3.2 を Cygwin にインストールする手順をかなり丁寧に説明してみました - Rails 雑感 - Ruby on Rails with OIAX)らしいので、Gemfileのcoffeescriptの行をコメントアウトして
bundle install
したらsqlite3が入れられないって言われる。
gem install sqlite3-ruby
するとsqlite3.hが足りないって言われるので、
apt-cyg install sqlite3
したんだけどダメ。
apt-cyg install libsqlite3-devel
でOK。bundle installも成功した。